Bug 981282 - [RFE] [engine-backend] adding new hooks to host cluster should be done by engine and not by adding them host by host
[RFE] [engine-backend] adding new hooks to host cluster should be done by eng...
Status: CLOSED DEFERRED
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.3
x86_64 Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Scott Herold
Gil Klein
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 07:24 EDT by Elad
Modified: 2017-03-13 03:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-13 03:48:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
sherold: Triaged+
rule-engine: planning_ack?
ebenahar: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Elad 2013-07-04 07:24:55 EDT
Description of problem:

As for now, adding new hooks process is being done by adding them to hooks directory /usr/libexec/vdsm/hooks/ on the host.
This process can be painful for user, in a case of large number of hosts (user has to go host by host and create his hook).
In order to optimize the process, I would recommend about delegating the process to engine.
The idea is that user would be able to add his new hooks using engine.
For example, creating a new sub tab under cluster main tab in UI, where user will be able to upload his scripts and there he also would be able to add the hosts he would like them to contain the new hook.
Comment 2 Barak Korren 2016-05-30 10:39:21 EDT
+1
It seems that this becomes even more relevant when considering RHEV-H
Comment 3 Yaniv Kaul 2017-03-13 03:48:39 EDT
These days, I'd suggest using Ansible to do this - closing for the time being.

Note You need to log in before you can comment on or make changes to this bug.